All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PICMPSocket::PingInfo Class Reference

Information used by and obtained by the ping operation. More...

`#include <icmpsock.h>`

## Public Member Functions

| PingInfo (WORD id=(WORD) PProcess::GetCurrentProcessID())
| Create Ping information structure. More...

## Public Attributes

Supplied data
WORD | identifier
| Arbitrary identifier for the ping. More...
WORD | sequenceNum
| Sequence number for ping packet. More...
BYTE | ttl
| Time To Live for packet. More...
const BYTE * | buffer
| Send buffer (if NULL, defaults to 32 bytes). More...
PINDEX | bufferSize
| Size of buffer (< 64k). More...
Returned data
PTimeInterval | delay
| Time for packet to make trip. More...
Address | remoteAddr
| Source address of reply packet. More...
Address | localAddr
| Destination address of reply packet. More...
PingStatus | status
| Status of the last ping operation. More...

## Detailed Description

Information used by and obtained by the ping operation.

## Constructor & Destructor Documentation

PICMPSocket::PingInfo::PingInfo | ( | WORD | id = `(WORD) PProcess::GetCurrentProcessID()` | ) |

Create Ping information structure.

## Member Data Documentation

const BYTE* PICMPSocket::PingInfo::buffer

Send buffer (if NULL, defaults to 32 bytes).

PINDEX PICMPSocket::PingInfo::bufferSize

Size of buffer (< 64k).

PTimeInterval PICMPSocket::PingInfo::delay

Time for packet to make trip.

WORD PICMPSocket::PingInfo::identifier

Arbitrary identifier for the ping.

Address PICMPSocket::PingInfo::localAddr

Destination address of reply packet.

Address PICMPSocket::PingInfo::remoteAddr

Source address of reply packet.

WORD PICMPSocket::PingInfo::sequenceNum

Sequence number for ping packet.

PingStatus PICMPSocket::PingInfo::status

Status of the last ping operation.

BYTE PICMPSocket::PingInfo::ttl

Time To Live for packet.

The documentation for this class was generated from the following file:

- icmpsock.h